<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlContModeCfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlContModeCfg_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Continous Mode config API parameters.  
 <a href="structrl_cont_mode_cfg__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a886af25edba869fa0607969111600ad8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a886af25edba869fa0607969111600ad8"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_cont_mode_cfg__t.html#a886af25edba869fa0607969111600ad8">startFreqConst</a></td></tr>
<tr class="memdesc:a886af25edba869fa0607969111600ad8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Start frequency for each profile <br />
 1 LSB = 3.6e9 / 2^26 Hz = 53.644 Hz <br />
 Valid range: 0x5471C71B to 0x5A000000 <br />
. <br /></td></tr>
<tr class="separator:a886af25edba869fa0607969111600ad8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1098310484ee5ce3a0386ceb7cf1f08e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1098310484ee5ce3a0386ceb7cf1f08e"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_cont_mode_cfg__t.html#a1098310484ee5ce3a0386ceb7cf1f08e">txOutPowerBackoffCode</a></td></tr>
<tr class="memdesc:a1098310484ee5ce3a0386ceb7cf1f08e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Concatenated code for output power backoff for TX0, TX1, TX2 <br />
 b7:0 TX0 output power back off <br />
 b15:8 TX1 output power back off <br />
 b23:16 TX2 output power back off <br />
 b31:24 Reserved <br />
. <br /></td></tr>
<tr class="separator:a1098310484ee5ce3a0386ceb7cf1f08e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab932b3df0954a11d162e50173d3f2360"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab932b3df0954a11d162e50173d3f2360"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_cont_mode_cfg__t.html#ab932b3df0954a11d162e50173d3f2360">txPhaseShifter</a></td></tr>
<tr class="memdesc:ab932b3df0954a11d162e50173d3f2360"><td class="mdescLeft">&#160;</td><td class="mdescRight">Concatenated phase shift for TX0/1/2, <br />
 b7:0 TX0 phase shift value <br />
 b15:8 TX1 phase shift value <br />
 b23:16 TX2 phase shift value <br />
 1 LSB = 360/2^6 = 5.625 degrees <br />
 b31:24 Reserved <br />
. <br /></td></tr>
<tr class="separator:ab932b3df0954a11d162e50173d3f2360"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a829016715b54ba944bfbc7307bfb7e2a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a829016715b54ba944bfbc7307bfb7e2a"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_cont_mode_cfg__t.html#a829016715b54ba944bfbc7307bfb7e2a">digOutSampleRate</a></td></tr>
<tr class="memdesc:a829016715b54ba944bfbc7307bfb7e2a"><td class="mdescLeft">&#160;</td><td class="mdescRight">ADC Sampling rate for each profile is encoded in <br />
 2 bytes (16 bit unsigned number) <br />
 1 LSB = 1 ksps <br />
 Valid range 2000 to 37500 <br />
. <br /></td></tr>
<tr class="separator:a829016715b54ba944bfbc7307bfb7e2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfd0be909a8575e6a5df6651bdf65931"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abfd0be909a8575e6a5df6651bdf65931"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_cont_mode_cfg__t.html#abfd0be909a8575e6a5df6651bdf65931">hpfCornerFreq1</a></td></tr>
<tr class="memdesc:abfd0be909a8575e6a5df6651bdf65931"><td class="mdescLeft">&#160;</td><td class="mdescRight">Code for HPF1 corner frequency <br />
 0x00 175 kHz <br />
 0x01 235 kHz <br />
 0x02 350 kHz <br />
 0x03 700 kHz <br />
. <br /></td></tr>
<tr class="separator:abfd0be909a8575e6a5df6651bdf65931"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a066a513a45c22e269e430fef07ec5f7c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a066a513a45c22e269e430fef07ec5f7c"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_cont_mode_cfg__t.html#a066a513a45c22e269e430fef07ec5f7c">hpfCornerFreq2</a></td></tr>
<tr class="memdesc:a066a513a45c22e269e430fef07ec5f7c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Code for HPF2 corner frequency <br />
 0x00 350 kHz <br />
 0x01 700 kHz <br />
 0x02 1.4 MHz <br />
 0x03 2.8 MHz <br />
. <br /></td></tr>
<tr class="separator:a066a513a45c22e269e430fef07ec5f7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47d75a4aa8abbd7df3c19b6a02e52d77"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a47d75a4aa8abbd7df3c19b6a02e52d77"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_cont_mode_cfg__t.html#a47d75a4aa8abbd7df3c19b6a02e52d77">rxGain</a></td></tr>
<tr class="memdesc:a47d75a4aa8abbd7df3c19b6a02e52d77"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field defines RX gain for continuous streaming mode. Bit Definition [5:0] RX_GAIN This field defines RX gain for each profile. 1 LSB = 1 dB Valid values: all even values from 24 to 52 [7:6] RF_GAIN_TARGET Value RF gain target 00 30 dB 01 34 dB 10 RESERVED 11 26 dB. <br /></td></tr>
<tr class="separator:a47d75a4aa8abbd7df3c19b6a02e52d77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a235b8aca8267e44eec554d3c5521826d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a235b8aca8267e44eec554d3c5521826d"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_cont_mode_cfg__t.html#a235b8aca8267e44eec554d3c5521826d">vcoSelect</a></td></tr>
<tr class="memdesc:a235b8aca8267e44eec554d3c5521826d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Bit Description b0 FORCE_VCO_SEL 0 - Use internal VCO selection 1 - Forced external VCO selection b1 VCO_SEL 0 - VCO1 (76 - 78 GHz) 1 - VCO2 (77 - 81 GHz) b7:2 RESERVED. <br /></td></tr>
<tr class="separator:a235b8aca8267e44eec554d3c5521826d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7192de15a897040b73bbce4eb8582273"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7192de15a897040b73bbce4eb8582273"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_cont_mode_cfg__t.html#a7192de15a897040b73bbce4eb8582273">reserved0</a></td></tr>
<tr class="memdesc:a7192de15a897040b73bbce4eb8582273"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a7192de15a897040b73bbce4eb8582273"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Continous Mode config API parameters. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
